import { ChangeDetectorRef, OnInit, TemplateRef } from "@angular/core";
import { ListStyle } from "@cometchat/uikit-shared";
import { AvatarStyle, DateStyle, ListItemStyle } from "@cometchat/uikit-elements";
import { Subscription } from "rxjs";
import { CometChatThemeService } from "../../../CometChatTheme.service";
import { DatePatterns, States } from "@cometchat/uikit-resources";
import { CallLogHistoryStyle } from "@cometchat/uikit-shared";
import * as i0 from "@angular/core";
export declare class CometChatCallLogHistoryComponent implements OnInit {
    private ref;
    private themeService;
    user: CometChat.User;
    group: CometChat.Group;
    title: string;
    emptyStateView: TemplateRef<any>;
    errorStateView: TemplateRef<any>;
    loadingStateView: TemplateRef<any>;
    subtitleView: TemplateRef<any>;
    listItemView: TemplateRef<any>;
    menu: TemplateRef<any>;
    emptyStateText: string;
    errorStateText: string;
    loadingIconURL: string;
    backIconUrl: string;
    onItemClick: (call: any) => void;
    onBackClick: () => void;
    callLogRequestBuilder: any;
    DateSeparatorPattern: DatePatterns;
    hideSeparator: boolean;
    dateSeparatorStyle: DateStyle;
    hideError: boolean;
    onError: (error: CometChat.CometChatException) => void;
    showSectionHeader: boolean;
    sectionHeaderField: any;
    datePattern: DatePatterns;
    avatarStyle: AvatarStyle;
    dateStyle: DateStyle;
    CallLogHistoryStyle: CallLogHistoryStyle;
    listItemStyle: ListItemStyle;
    callsRequest: any;
    state: States;
    ccOutgoingCall: Subscription;
    ccCallAccepted: Subscription;
    ccCallRejected: Subscription;
    ccCallEnded: Subscription;
    listStyle: ListStyle;
    limit: number;
    callHistory: any[];
    callsListenerId: string;
    loggedInUser: CometChat.User | null;
    authToken: string;
    showOutgoingCallscreen: boolean;
    onScrolledToBottom: any;
    constructor(ref: ChangeDetectorRef, themeService: CometChatThemeService);
    ngOnInit(): void;
    handleItemClick(call: any): void;
    ngOnDestroy(): void;
    fetchNextCallHistoryList: () => void;
    getSubtitle(call: any): string;
    getRequestBuilder(): any;
    callLogHistoryStyle: () => {
        height: string | undefined;
        width: string | undefined;
        background: string | undefined;
        border: string | undefined;
        borderRadius: string | undefined;
    };
    setThemeStyle(): void;
    setAvatarStyle(): void;
    setDateStyle(): void;
    getListItemStyle(): {
        activeBackground?: string | undefined;
        hoverBackground?: string | undefined;
        separatorColor?: string | undefined;
        titleFont?: string | undefined;
        titleColor?: string | undefined;
        padding?: string | undefined;
        height?: string | undefined;
        width?: string | undefined;
        border?: string | undefined;
        borderRadius?: string | undefined;
        background?: string | undefined;
    };
    setCallLogHistoryStyle(): void;
    subtitleStyle: () => {
        font: string | undefined;
        color: string | undefined;
    };
    tailViewStyle: () => {
        font: string | undefined;
        color: string | undefined;
    };
    backButtonStyle: () => {
        height: string;
        width: string;
        border: string;
        borderRadius: string;
        background: string;
        buttonIconTint: string | undefined;
    };
    getSectionHeader: (call: any, index: any) => any;
    getTailView(totalSeconds: any): string;
    handleBackClick: () => void;
    titleStyle: () => {
        font: string | undefined;
        color: string | undefined;
        background: string;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<CometChatCallLogHistoryComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CometChatCallLogHistoryComponent, "cometchat-call-log-history", never, { "user": "user"; "group": "group"; "title": "title"; "emptyStateView": "emptyStateView"; "errorStateView": "errorStateView"; "loadingStateView": "loadingStateView"; "subtitleView": "subtitleView"; "listItemView": "listItemView"; "menu": "menu"; "emptyStateText": "emptyStateText"; "errorStateText": "errorStateText"; "loadingIconURL": "loadingIconURL"; "backIconUrl": "backIconUrl"; "onItemClick": "onItemClick"; "onBackClick": "onBackClick"; "callLogRequestBuilder": "callLogRequestBuilder"; "DateSeparatorPattern": "DateSeparatorPattern"; "hideSeparator": "hideSeparator"; "dateSeparatorStyle": "dateSeparatorStyle"; "hideError": "hideError"; "onError": "onError"; "showSectionHeader": "showSectionHeader"; "sectionHeaderField": "sectionHeaderField"; "datePattern": "datePattern"; "avatarStyle": "avatarStyle"; "dateStyle": "dateStyle"; "CallLogHistoryStyle": "CallLogHistoryStyle"; "listItemStyle": "listItemStyle"; }, {}, never, never>;
}
