import { ChangeDetectorRef, ElementRef, OnInit, TemplateRef } from "@angular/core";
import { ListStyle, OutgoingCallConfiguration, OutgoingCallStyle, CometChatUIKitCalls, CallScreenConfiguration, CallLogsStyle } from "@cometchat/uikit-shared";
import { AvatarStyle, BackdropStyle, CallscreenStyle, DateStyle, ListItemStyle } from "@cometchat/uikit-elements";
import { CometChatThemeService } from "../../../CometChatTheme.service";
import { DatePatterns, TitleAlignment, States } from "@cometchat/uikit-resources";
import * as i0 from "@angular/core";
export declare class CometchatCallLogsComponent implements OnInit {
    private elementRef;
    private ref;
    private themeService;
    title: string;
    titleAlignment: TitleAlignment;
    listItemView: any;
    subtitleView: any;
    tailView: any;
    menu: TemplateRef<any>;
    emptyStateView: TemplateRef<any>;
    errorStateView: TemplateRef<any>;
    emptyStateText: string;
    errorStateText: string;
    loadingStateView: TemplateRef<any>;
    loadingIconURL: string;
    infoIconUrl: string;
    missedAudioCallIconUrl: string;
    missedVideoCallIconUrl: string;
    outgoingAudioCallIconUrl: string;
    outgoingVideoCallIconUrl: string;
    incomingAudioCallIconUrl: string;
    incomingVideoCallIconUrl: string;
    callLogRequestBuilder: any;
    cometchatCallObject: CometChat.Call | null;
    onItemClick: (call: any) => void;
    onInfoClick: (call: any) => void;
    onError: (error: CometChat.CometChatException) => void;
    activeCall: any;
    datePattern: DatePatterns;
    DateSeparatorPattern: DatePatterns;
    callLogsStyle: CallLogsStyle;
    avatarStyle: AvatarStyle;
    hideSeparator: boolean;
    dateSeparatorStyle: DateStyle;
    outgoingCallConfiguration: OutgoingCallConfiguration;
    hideError: boolean;
    showSectionHeader: boolean;
    showMoreInfo: boolean;
    sectionHeaderField: any;
    backdropStyle: BackdropStyle;
    dateStyle: DateStyle;
    listItemStyle: ListItemStyle;
    ongoingCallConfiguration: CallScreenConfiguration;
    selectedOrActiveCallLogObject: any;
    callsRequest: any;
    state: States;
    listStyle: ListStyle;
    sessionId: string;
    callLogsListenerId: string;
    ongoingCallStyle: CallscreenStyle;
    showOngoingCall: boolean;
    limit: number;
    callsList: any;
    callsListenerId: string;
    loggedInUser: CometChat.User | null;
    authToken: string;
    showOutgoingCallscreen: boolean;
    onScrolledToBottom: any;
    outgoingCallStyle: OutgoingCallStyle;
    constructor(elementRef: ElementRef, ref: ChangeDetectorRef, themeService: CometChatThemeService);
    ngOnInit(): void;
    attachListeners(): void;
    ngOnDestroy(): void;
    removeListener(): void;
    fetchNextCallLogsList: () => void;
    getSubtitle(call: any): any;
    handleInfoClick: (call: any) => void;
    getActiveCall: (call: any) => boolean;
    getSectionHeader: (call: any, index: any) => any;
    onListItemClickCall: (call: any) => void;
    cancelOutgoingCall: () => void;
    getCallerName(call: any): any;
    getAvatarUrl(call: any): any;
    getRequestBuilder(): any;
    getCallTypeIcon(call: any): string;
    callLogStyle: () => {
        height: string | undefined;
        width: string | undefined;
        background: string | undefined;
        border: string | undefined;
        borderRadius: string | undefined;
    };
    setThemeStyle(): void;
    setAvatarStyle(): void;
    setDateStyle(): void;
    getListItemStyle(call: CometChat.Call): {
        activeBackground?: string | undefined;
        hoverBackground?: string | undefined;
        separatorColor?: string | undefined;
        titleFont?: string | undefined;
        titleColor?: string | undefined;
        padding?: string | undefined;
        height?: string | undefined;
        width?: string | undefined;
        border?: string | undefined;
        borderRadius?: string | undefined;
        background?: string | undefined;
    };
    setCallLogsStyle(): void;
    subtitleStyle: () => {
        font: string | undefined;
        color: string | undefined;
    };
    infoButtonStyle: () => {
        height: string;
        width: string;
        border: string;
        borderRadius: string;
        background: string;
        buttonIconTint: string | undefined;
    };
    getCallBuilder(): typeof CometChatUIKitCalls.CallSettings | undefined;
    closeCallScreen(): void;
    openOngoingCallScreen(call: CometChat.Call): void;
    setOngoingCallStyle: () => void;
    getDirectionIconStyle(call: any): {
        height: string;
        width: string;
        border: string;
        borderRadius: string;
        background: string;
        iconTint: string | undefined;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<CometchatCallLogsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CometchatCallLogsComponent, "cometchat-call-logs", never, { "title": "title"; "titleAlignment": "titleAlignment"; "listItemView": "listItemView"; "subtitleView": "subtitleView"; "tailView": "tailView"; "menu": "menu"; "emptyStateView": "emptyStateView"; "errorStateView": "errorStateView"; "emptyStateText": "emptyStateText"; "errorStateText": "errorStateText"; "loadingStateView": "loadingStateView"; "loadingIconURL": "loadingIconURL"; "infoIconUrl": "infoIconUrl"; "missedAudioCallIconUrl": "missedAudioCallIconUrl"; "missedVideoCallIconUrl": "missedVideoCallIconUrl"; "outgoingAudioCallIconUrl": "outgoingAudioCallIconUrl"; "outgoingVideoCallIconUrl": "outgoingVideoCallIconUrl"; "incomingAudioCallIconUrl": "incomingAudioCallIconUrl"; "incomingVideoCallIconUrl": "incomingVideoCallIconUrl"; "callLogRequestBuilder": "callLogRequestBuilder"; "cometchatCallObject": "cometchatCallObject"; "onItemClick": "onItemClick"; "onInfoClick": "onInfoClick"; "onError": "onError"; "activeCall": "activeCall"; "datePattern": "datePattern"; "DateSeparatorPattern": "DateSeparatorPattern"; "callLogsStyle": "callLogsStyle"; "avatarStyle": "avatarStyle"; "hideSeparator": "hideSeparator"; "dateSeparatorStyle": "dateSeparatorStyle"; "outgoingCallConfiguration": "outgoingCallConfiguration"; "hideError": "hideError"; "showSectionHeader": "showSectionHeader"; "showMoreInfo": "showMoreInfo"; "sectionHeaderField": "sectionHeaderField"; "backdropStyle": "backdropStyle"; "dateStyle": "dateStyle"; "listItemStyle": "listItemStyle"; "ongoingCallConfiguration": "ongoingCallConfiguration"; }, {}, never, never>;
}
